Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 3613)
+++ trunk/SophyaLib/Samba/Makefile	(revision 3615)
@@ -12,26 +12,27 @@
  
 $(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
-  $(SOPHYAINCP)stsrand.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h
@@ -41,5 +42,7 @@
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
@@ -91,7 +94,8 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)stsrand.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -129,4 +133,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -195,4 +200,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -200,5 +206,5 @@
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)stsrand.h alm.h \
+  $(SOPHYAINCP)randinterf.h alm.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
Index: trunk/SophyaLib/Samba/smakefile
===================================================================
--- trunk/SophyaLib/Samba/smakefile	(revision 3613)
+++ trunk/SophyaLib/Samba/smakefile	(revision 3615)
@@ -12,26 +12,27 @@
  
 $(SOPHYAOBJP)alm.o: alm.cc $(SOPHYAINCP)sopnamsp.h alm.h \
-  $(SOPHYAINCP)stsrand.h \
-  $(SOPHYAINCP)machdefs.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
   $(SOPHYAINCP)triangmtx.h \
-  $(SOPHYAINCP)tvector.h \
-  $(SOPHYAINCP)tmatrix.h \
-  $(SOPHYAINCP)tarray.h \
-  $(SOPHYAINCP)basarr.h \
-  $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)timestamp.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h
@@ -41,5 +42,7 @@
   $(SOPHYAINCP)fmath.h bruit.h \
   $(SOPHYAINCP)srandgen.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)randinterf.h \
+  $(SOPHYAINCP)anydataobj.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  bruit.cc
  
@@ -91,7 +94,8 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h alm.h \
-  $(SOPHYAINCP)stsrand.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)smathconst.h \
@@ -129,4 +133,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -195,4 +200,5 @@
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)randinterf.h \
   $(SOPHYAINCP)tmatrix_tsnl.h \
   $(SOPHYAINCP)tvector_tsnl.h \
@@ -200,5 +206,5 @@
   $(SOPHYAINCP)fftpserver.h \
   $(SOPHYAINCP)fftservintf.h \
-  $(SOPHYAINCP)stsrand.h alm.h \
+  $(SOPHYAINCP)randinterf.h alm.h \
   $(SOPHYAINCP)nbmath.h \
   $(SOPHYAINCP)triangmtx.h \
